Skip to main content
GET
/
api
/
reports
/
inventory-item-details
Get inventory item details
curl --request GET \
  --url https://api.example.com/api/reports/inventory-item-details \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "fromDate": "<string>",
    "toDate": "<string>",
    "numberFormat": {
      "precision": 2,
      "divideOn1000": false,
      "showZero": true,
      "formatMoney": "total",
      "negativeFormat": "parentheses"
    },
    "itemsIds": [
      123
    ]
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "code": "<string>",
      "openingQuantity": 123,
      "closingQuantity": 123,
      "transactions": [
        {
          "date": "<string>",
          "dateFormatted": "<string>",
          "transactionType": "<string>",
          "referenceId": 123,
          "transactionNumber": "<string>",
          "quantity": 123,
          "rate": 123,
          "total": {
            "amount": 123,
            "formattedAmount": "<string>",
            "currencyCode": "<string>",
            "date": {}
          },
          "runningQuantity": 123,
          "description": "<string>"
        }
      ]
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedFromDate": "<string>",
    "formattedToDate": "<string>",
    "formattedDateRange": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

noneTransactions
boolean

Whether to exclude transactions

itemsIds
string[]

Items IDs for the inventory item details

warehousesIds
string[]

Warehouses IDs for the inventory item details

branchesIds
string[]

Branches IDs for the inventory item details

Response

Inventory item details report

query
object
required

Query parameters used to generate the report

data
object[]
required

Inventory items with details

meta
object
required

Report metadata